Bug 121988 - VBA macro / LO freeze when running macro
Summary: VBA macro / LO freeze when running macro
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: BASIC (show other bugs)
Version:
(earliest affected)
6.1.0.3 release
Hardware: All Windows (All)
: high major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, perf, regression
Depends on:
Blocks: Macro-VBA
  Show dependency treegraph
 
Reported: 2018-12-08 20:58 UTC by raal
Modified: 2021-01-15 04:24 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
test file (383.67 KB, application/vnd.oasis.opendocument.spreadsheet)
2018-12-08 20:59 UTC, raal
Details

Note You need to log in before you can comment on or make changes to this bug.
Description raal 2018-12-08 20:58:43 UTC
Description:
regression. LO freeze when running VBA macro

Steps to Reproduce:
1. open attachment
2. enable macros
3. click button "Generate"

Actual Results:
LO freeze

Expected Results:
LO execute macro


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 raal 2018-12-08 20:59:11 UTC
Created attachment 147394 [details]
test file
Comment 2 raal 2018-12-08 21:02:29 UTC
This seems to have begun at the below commit.
Adding Cc: to Henry Castro; Could you possibly take a look at this one? Thanks
 25fee5fed3362d17d625425666689ca1061005fd is the first bad commit
commit 25fee5fed3362d17d625425666689ca1061005fd
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Wed Jun 27 04:49:52 2018 -0700

    source sha:b9652803096b68a33702601aac52e78c8a4250c6
author	Henry Castro <hcastro@collabora.com>	2018-06-26 23:32:41 -0400
committer	Eike Rathke <erack@redhat.com>	2018-06-27 13:44:07 +0200
commit b9652803096b68a33702601aac52e78c8a4250c6 (patch)
tree 1ed7822221824417039126b7db04a8b37ebeaee8
parent b262e6e5da0c2e66e00cd6d68d7c2df11a34ff5c (diff)
tdf#118308: Incorrect Paste Special dialog when ...
pasting content from another cell

In tiled rendering case (headless) each window has its own clipboard,
otherwise exists a unique clipboard (UNO service).
Comment 3 MM 2018-12-09 00:07:51 UTC
Unconfirmed on mint 19 with Version: 6.3.0.0.alpha0+
Build ID: e4c2d0bb57ab8ea8f5c400d103d01376b8140f22
CPU threads: 2; OS: Linux 4.15; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2018-11-30_21:37:10
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 4 Oliver Brinzing 2018-12-09 12:43:12 UTC
i can *not* confirm a freeze with

Version: 6.1.4.1 (x64)
Build ID: 25073d18caee244880112e52c4a7e71f6081b3a9
CPU threads: 4; OS: Windows 10.0; UI render: default; 
Locale: de-DE (de_DE); Calc: 

Version: 6.0.7.3 (x64)
Build-ID: dc89aa7a9eabfd848af146d5086077aeed2ae4a5
CPU-Threads: 4; BS: Windows 10.0; UI-Render: Standard; 
Gebietsschema: de-DE (de_DE); Calc: 

and with

Version: 6.3.0.0.alpha0+ (x64)
Build ID: d8d47a0bec655b5cab4ed0b0a4cabb5bed68c83f
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
Locale: de-DE (de_DE); UI-Language: en-US
Calc: threaded

"Generate" is extremly slow and form control flicker
Comment 5 Xisco Faulí 2019-01-10 11:56:35 UTC
Hi raal,
I can reproduce it in

Versión: 6.2.0.1
Id. de compilación: 0412ee99e862f384c1106d0841a950c4cfaa9df1
Subprocs. CPU: 1; SO: Windows 6.1; Repres. IU: predet.; VCL: win; 
Configuración regional: es-ES (es_ES); Idioma de IU: es-ES
Calc: threaded

but not in

Version: 6.3.0.0.alpha0+
Build ID: b8f497a06d585dbae3adadb4d177fe84fdb1b5fa
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

LibreOffice needs to be killed after the macro execution
Comment 6 Oliver Brinzing 2020-01-26 12:13:37 UTC
i can *not* confirm a freeze with:

Version: 6.2.8.2 (x64)
Build-ID: f82ddfca21ebc1e222a662a32b25c0c9d20169ee
CPU-Threads: 4; BS: Windows 10.0; UI-Render: Standard; VCL: win; 
Gebietsschema: de-DE (de_DE); UI-Sprache: de-DE
Calc: 

Version: 6.3.4.2 (x64)
Build-ID: 60da17e045e08f1793c57c00ba83cdfce946d0aa
CPU-Threads: 4; BS: Windows 10.0; UI-Render: Standard; VCL: win; 
Gebietsschema: de-DE (de_DE); UI-Sprache: de-DE
Calc: 

Version: 6.4.0.3 (x64)
Build-ID: b0a288ab3d2d4774cb44b62f04d5d28733ac6df8
CPU-Threads: 4; BS: Windows 10.0 Build 18363; UI-Render: Standard; VCL: win; 
Gebietsschema: de-DE (de_DE); UI-Sprache: de-DE
Calc:
Comment 7 Oliver Brinzing 2020-02-23 12:19:38 UTC
(In reply to raal from comment #0)
> Description:
> regression. LO freeze when running VBA macro

no repro with:

Version: 6.4.1.1 (x64)
Build-ID: 56f3c78975db08733f771c53643b5d1aa7c57567
CPU-Threads: 4; BS: Windows 10.0 Build 18363; UI-Render: Standard; VCL: win; 
Gebietsschema: de-DE (de_DE); UI-Sprache: de-DE
Calc: 

seems to be fixed?
Comment 8 Aron Budea 2020-04-20 02:03:24 UTC
Raal, does this bug still occur for you with a recent build?
For the record, it didn't freeze for me even in 6.1.0.3, neither in Windows nor in Linux.
Comment 9 libre officer 2020-06-17 12:31:28 UTC
Can *not* confirm a freeze with:


Version: 6.4.1.2 (x86)
Build ID: 4d224e95b98b138af42a64d84056446d09082932
CPU threads: 4; OS: Windows 10.0 Build 17763; UI render: default; VCL: win; 
Locale: fr-CH (fr_FR); UI-Language: en-GB
Calc: CL

Version: 6.4.3.2 (x64)
Build ID: 747b5d0ebf89f41c860ec2a39efd7cb15b54f2d8
CPU threads: 4; OS: Windows 10.0 Build 17763; UI render: default; VCL: win; 
Locale: fr-CH (fr_FR); UI-Language: en-US
Calc: threaded

Version: 7.0.0.0.beta1 (x64)
Build ID: 94f789cbb33335b4a511c319542c7bdc31ff3b3c
Threads CPU : 4; OS : Windows 10.0 Build 17763; UI Render : Skia/Raster; VCL: win
Locale: fr-CH (fr_FR); Langue IHM : fr-FR
Calc: threaded
Comment 10 QA Administrators 2020-12-15 03:46:02 UTC Comment hidden (obsolete)
Comment 11 QA Administrators 2021-01-15 04:24:35 UTC
Dear raal,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-FollowUp